---
title: 'xlink:arcrole'
slug: 'Web/SVG/Attribute/xlink:arcrole'
tags:
  - Deprecated
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{deprecated_header("SVG 2")}}</div>

<p>The <strong><code>xlink:arcrole</code></strong> attribute specifies a contextual role for the element and corresponds to the <a href="https://www.w3.org/TR/rdf-primer/">RDF Primer</a> notion of a property.</p>

<p>This contextual role can differ from the meaning of the resource when taken outside the context of this particular arc. For example, a resource might generically represent a "person," but in the context of a particular arc it might have the role of "mother" and in the context of a different arc it might have the role of "daughter."</p>

<p>Twentytwo elements are using this attribute: {{SVGElement("a")}}, {{SVGElement("altGlyph")}}, {{SVGElement("animate")}}, {{SVGElement("animateColor")}}, {{SVGElement("animateMotion")}}, {{SVGElement("animateTransform")}}, {{SVGElement("color-profile")}}, {{SVGElement("cursor")}}, {{SVGElement("feImage")}}, {{SVGElement("filter")}}, {{SVGElement("font-face-uri")}}, {{SVGElement("glyphRef")}}, {{SVGElement("image")}}, {{SVGElement("linearGradient")}}, {{SVGElement("mpath")}}, {{SVGElement("pattern")}}, {{SVGElement("radialGradient")}}, {{SVGElement("script")}}, {{SVGElement("set")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, {{SVGElement("use")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;iri&gt;</code></dt>
 <dd>This value specifies an {{Glossary("IRI")}} reference that identifies some resource that describes the intended property.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "linking.html#XLinkArcRoleAttribute", "xlink:arcrole")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.xlink.xlink_arcrole")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.w3.org/TR/xlink/#link-semantics">Definition of the <code>xlink:arcrole</code> attribute in the XLink specification</a></li>
</ul>
